Announcement

Collapse
No announcement yet.

Linux: How to get automatically updates for Foxit Reader (free version)

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Linux: How to get automatically updates for Foxit Reader (free version)

    Hello,

    I am a normal Linux user. My request refers to the free version of "Foxit Reader" for Linux.
    Is there an easy way to integrate "Foxit Reader" into my Linux package manager system (MX Linux 19.3 (Debian))?
    I mean, does "Foxit Reader" support something like "Enpass" does for Debian? (see here https://www.enpass.io/support/kb/gen...pass-on-linux/)

    I mean the line: Quote: "To install Enpass, add a new repository to /etc/apt/sources.list"
    Can I make something similar for "Foxit Reader", so that I do not have to install it always manually, when a new version is out. (?)

    Thank you.

  • #2
    Nimage ,Thanks for contacting Foxit Support. The existing Foxit Reader for Linux has already been discontinued,so our Dev team have stopped implementing any new version for it.

    Comment


    • #3
      Thank you.

      I have installed it in
      /home/user/opt/foxitsoftware/foxitreader/

      with this file: "FoxitReader.enu.setup.2.4.4.0911(r057d814).x64.ru n"

      Yes, you are right, its a very old version (2009). So I will delete it.
      Is it enough just to delete the folder /home/user/opt/foxitsoftware/foxitreader/ ?

      Or do I have to delete something else to remove it completely?

      Thank you.
      Last edited by Nimage; 11-20-2020, 01:21 PM.

      Comment


      • #4
        Nimage ,Thanks for your response.Normally,you just need to double-click the Uninstaller file in the Foxit Reader installation directory to delete it,that is enough. We suggest you try out our Foxit Reader for windows which is a free application with more powerful features. It could be downloaded from our official download center below:
        https://www.foxitsoftware.com/downloads/

        Any further questions or concerns,please contact us any time.

        Comment


        • #5
          Does latest Foxit Reader (for Windoze) work in Linux using Wine ?
          https://www.winehq.org/

          Comment


          • #6
            bgroper

            Sorry, the current Foxit Reader for Linux only supports the below systems.
            Ubuntu Desktop 14.04 ~ 16.10
            Red Hat Enterprise Linux Server 6.x (64-bit) ~ 7.x
            SUSE 12 Linux Enterprise Server
            OpenSUSE 13.2
            OpenSUSE Leap 42.x


            Comment


            • #7
              Originally posted by lyndi_wu View Post
              bgroper

              Sorry, the current Foxit Reader for Linux only supports the below systems.
              And my current Foxit Reader for Linux seems quite old, Version 2.4.4.0911 circa ~ 2017.
              Is this the latest, or does the repo I'm using have outdated source ?

              Comment


              • #8
                Yes, it is the latest one.

                Comment


                • #9
                  I'm so disappointed that Foxit has stopped developing its reader for Linux. The current version, 2.4.4.0911, installs and works just fine (Linux Mint 20.02, December 2021). But it would be super to have the new features that other users are getting. There's a real opportunity here, since Adobe also stopped supporting acrobat reader on Linux some years back. The current PDF native Linux readers do not support modern features like form-filling, signing, and so on.

                  [edit - I was wrong. xreader does support form-filling. It's just that the editable fields aren't clearly highlighted, so at first it doesn't seem obvious.]
                  Last edited by wujastyk; 12-16-2021, 04:50 PM.

                  Comment


                  • #10
                    wujastyk ,Thanks for your feedback to tell us the feature situation of different PDF readers on the Linux platform and the PDF Reader market opportunity.
                    Per your request, I have submitted the suggestion "Release newer version of Foxit PDF Reader for Linux which should support modern features like form-filling, signing, and so on" to our product management team's reference with suggestion ID#LINUXP-45. Any further questions or concerns, please contact us again at any time.
                    Last edited by Lisa_lee; 12-18-2021, 02:34 PM.

                    Comment

                    Working...
                    X